function plot_c2nmf_music(V, W, H, Phi, Tau, d)

Rec = isp_nmf2d_rec(W,H,Phi,Tau,1:d); 

mfig('Instruments (W)'); 
for idx = 1:d
    subplot(1,d,idx); 
    imagesc(squeeze(W(:,idx,:))); 
    colormap(1-gray);
    axis xy; 
end

mfig('Score (H)'); 
for idx = 1:d
    subplot(d,1,idx); 
    imagesc(1:size(H,2), Tau, squeeze(H(idx,:,:))'); 
    axis xy;
    colormap(1-gray);
end

drawnow;

